define(['dijit/registry', 'dojo/aspect', 'cpb'],function(registry, aspect, cpb) {

   var CasePrint = {};
   
   gridCount = 0;
   printID = '';
   callback = null;
   
   completeListener = function()
   {
      if (--gridCount == 0)
      {
         cpb.consoleLog("***************** Done loading grids in iframe:: " + printID);
         callback(printID);
      }
   };
   
   CasePrint.registerPageListener = function(id, cb)
   {
      printID = id;
      callback = cb;
      aspect.before(registry, 'add', function(widget) 
      {
         cpb.consoleLog("before registry.add called. Widget with id, " + widget.id);
         if (widget.get('store'))
         {
            gridCount++;
            widget.on('dgrid-refresh-complete', completeListener);
         }
      });
   };

   return CasePrint;

});