<%@include file="/shell/default.jspf"%>

<%@taglib prefix="sas" uri="http://www.sas.com/taglib/sas"%>
<%@taglib prefix="sas-ui" uri="http://www.sas.com/taglib/sas-ui"%>

<%@page import="com.sas.solutions.casemgmt.web.party.CasePartiesActionModel"%>

<cpb:InitializeComponentsCPB />
<sas-cm:setBundle var="appResources" />

<%
CasePartiesActionModel.getFromRequest(request).writeToolBar(pageContext);
%>

<html:form action="/CasePartySearch" method="post">

<div id='mainToolBar' style='display: none'></div>

<div id='mainContent'>

   <input type="hidden" name="command" value="search" />
   <input type="hidden" name="windowLayout" value="${param.windowLayout}" />
   <html:hidden property="uiContextId" />
   <input type="hidden" name="gridName" value="${param.gridName}" />
   
   <fieldset>
      <legend><fmt:message bundle="${appResources}" key="field.find.parties.label.txt"/></legend>
      <sas-cm:searchCriteria searchModel="${sessionScope.CasePartiesSearchForm.searchModel}" />
   </fieldset>
   <p></p>
   <fieldset>
      <legend><fmt:message bundle="${appResources}" key="field.available.parties.label.txt"/></legend>
      <sas-cm:searchFilters searchModel="${sessionScope.CasePartiesSearchForm.searchModel}" />
      <%@include file="/search/SearchGridTemplate.jsp" %>
   </fieldset>
   
</div>
</html:form>
